aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xpbuilder4
-rwxr-xr-xpbuilder-buildpackage4
-rw-r--r--pbuilder-modules6
-rw-r--r--pbuilder-runhooks2
-rwxr-xr-xpbuilder-user-mode-linux4
-rw-r--r--pdebuild-user-mode-linux4
6 files changed, 12 insertions, 12 deletions
diff --git a/pbuilder b/pbuilder
index f8f4c44..e8ee8bc 100755
--- a/pbuilder
+++ b/pbuilder
@@ -77,7 +77,7 @@ File extracted to: $BUILDPLACE
# saving the place afterwards
if [ "${SAVE_AFTER_LOGIN}" = "yes" ]; then
if [ "${INTERNAL_BUILD_UML}" = "yes" ]; then
- echo "E: Invalid combination of internal-build-uml and save-after-login flags"
+ echo "E: Invalid combination of internal-build-uml and save-after-login flags" >&2
else
echo " -> Saving the results, modifications to this session will persist"
unloadhooks
@@ -120,7 +120,7 @@ File extracted to: $BUILDPLACE
# saving the place afterwards
if [ "${SAVE_AFTER_LOGIN}" = "yes" ]; then
if [ "${INTERNAL_BUILD_UML}" = "yes" ]; then
- echo "E: Invalid combination of internal-build-uml and save-after-login flags"
+ echo "E: Invalid combination of internal-build-uml and save-after-login flags" >&2
else
echo " -> Saving the results, modifications to this session will persist"
unloadhooks
diff --git a/pbuilder-buildpackage b/pbuilder-buildpackage
index 8eecf62..cf44e26 100755
--- a/pbuilder-buildpackage
+++ b/pbuilder-buildpackage
@@ -63,7 +63,7 @@ if [ ! -d "${BUILDRESULT}" ]; then
if [ -d "${BUILDRESULT}" ]; then
echo " -> created buildresult dir: ${BUILDRESULT}"
else
- echo "E: failed creating buildresult dir: ${BUILDRESULT}"
+ echo "E: failed creating buildresult dir: ${BUILDRESULT}" >&2
exit 1
fi
fi
@@ -103,7 +103,7 @@ echo "Extracting source"
if echo "chown $BUILDUSERNAME:$BUILDUSERNAME /tmp/buildd /tmp/buildd/*" | $CHROOTEXEC /bin/bash; then
: # success
else
- echo "pbuilder: Failed chowning to $BUILDUSERNAME:$BUILDUSERNAME" >&2
+ echo "E: pbuilder: Failed chowning to $BUILDUSERNAME:$BUILDUSERNAME" >&2
exit 1;
fi
if echo "( cd tmp/buildd; /usr/bin/dpkg-source -x $(basename $PACKAGENAME) )" | $CHROOTEXEC $SUTOUSER ; then
diff --git a/pbuilder-modules b/pbuilder-modules
index 309bf8e..9e39b81 100644
--- a/pbuilder-modules
+++ b/pbuilder-modules
@@ -344,16 +344,16 @@ function extractbuildplace () {
cleanbuildplace
echo "Building the build Environment"
if ! mkdir -p "$BUILDPLACE"; then
- echo "E: failed to build the directory to chroot"
+ echo "E: failed to build the directory to chroot" >&2
exit 1
fi
echo " -> extracting base tarball [${BASETGZ}]"
if [ ! -f "$BASETGZ" ]; then
- echo "E: failed to find $BASETGZ, have you done <pbuilder create> to create your base tarball yet?"
+ echo "E: failed to find $BASETGZ, have you done <pbuilder create> to create your base tarball yet?" >&2
exit 1
fi
if ! (cd "$BUILDPLACE" && tar xfzp "$BASETGZ"); then
- echo "E: failed to extract $BASETGZ to $BUILDPLACE"
+ echo "E: failed to extract $BASETGZ to $BUILDPLACE" >&2
exit 1
fi
echo " -> creating local configuration"
diff --git a/pbuilder-runhooks b/pbuilder-runhooks
index fac6a80..a1882a7 100644
--- a/pbuilder-runhooks
+++ b/pbuilder-runhooks
@@ -140,7 +140,7 @@ function unloadhooks () {
if [ -d "$BUILDPLACE/$hooks" ]; then
rm -rf "$BUILDPLACE/$hooks"
else
- echo "E: Logic failure."
+ echo "E: Logic failure." >&2
fi
}
diff --git a/pbuilder-user-mode-linux b/pbuilder-user-mode-linux
index 41fe070..351db60 100755
--- a/pbuilder-user-mode-linux
+++ b/pbuilder-user-mode-linux
@@ -36,7 +36,7 @@ function usecow () {
PBUILDER_COWFILENAME="${BUILDPLACE}/$$.cow"
PBUILDER_COW="${PBUILDER_COWFILENAME},"
if ! touch "${PBUILDER_COWFILENAME}"; then
- echo "E: Cannot write-access to the COW file, check buildplace"
+ echo "E: Cannot write-access to the COW file, check buildplace" >&2
exit 1;
fi
rm -f "${PBUILDER_COWFILENAME}"
@@ -70,7 +70,7 @@ mknod /dev/ubdb b 98 16
# echo "W: Failed to fsck /dev/ubdb"
#fi
if ! mount -t ext2 /dev/ubdb ${UML_CHROOT_MOUNTPOINT}; then
- echo "E: Cannot mount /dev/ubdb, is UML root image accessible as current user?"
+ echo "E: Cannot mount /dev/ubdb, is UML root image accessible as current user?" >&2
exit 1
fi
mount --bind ${UML_CHROOT_MOUNTPOINT}/dev /dev
diff --git a/pdebuild-user-mode-linux b/pdebuild-user-mode-linux
index 709a0ea..02a43fe 100644
--- a/pdebuild-user-mode-linux
+++ b/pdebuild-user-mode-linux
@@ -23,7 +23,7 @@ while ! test -d ./debian -o "$(pwd)" = "/" ; do
done
if test ! -d ./debian; then
- echo "E: Cannot find ./debian dir"
+ echo "E: Cannot find ./debian dir" >&2
exit 1
fi;
export PBCURRENTCOMMANDLINEOPERATION="pdebuild"
@@ -38,7 +38,7 @@ ARCHITECTURE=$(dpkg-architecture -qDEB_HOST_ARCH)
if [ "${USE_PDEBUILD_INTERNAL}" = 'yes' ]; then
if [ ! readlink -f .. ]; then
- echo "E: Cannot find .. dir from PWD=$(pwd)"
+ echo "E: Cannot find .. dir from PWD=$(pwd)" >&2
exit 1
fi
pbuilder-user-mode-linux execute "$@" --bindmounts $(readlink -f ..) /usr/lib/pbuilder/pdebuild-internal ${PWD} --debbuildopts "${DEBBUILDOPTS}"